var defaultLanguage = "EN";
var currentLanguage = defaultLanguage;
var defaultContentLanguage = defaultLanguage;

var keyboardlayouts = {
    EN: 'qwerty',
    ZH: 'pinyin',
    AR: 'arabic'
};
var momentlocale = {
    EN: 'en',
    AR: 'ar',
    ZH: 'en'
};

var langNames = {
    EN: "Eng",
    AR: "العربية",
    ZH: "中文"
};

var dateFormats = {
    EN: 'ddd MMMM D',
    ZH: 'ddd MMMM D',
    AR: 'ddd MMMM D'
};

var translations = {
    home: {EN: 'Home', AR: "الصفحة الرئيسية", ZH: 'Home'},
    shop: {EN: "Shop", AR: "المحلات", ZH: "搜寻"},
    dine: {EN: "Eat", AR: "", ZH: ""},
    kids: { EN: "Kids", AR: "Kids", ZH: "Kids"},
    entertain: {EN: "Entertain", AR: "", ZH: "Entertain"},
    floor: {EN: "Level", AR: "مستوى", ZH: "Level"},

    deals: {EN: "Promotions", AR: "", ZH: ""},
    events: {EN: "Events", AR: "الفعاليات", ZH: "活动"},
    infos: {EN: "360° View", AR: "معلومات", ZH: "What's New"},
    stores: {EN: "Stores", AR: "المحلات", ZH: "Stores"},
    services: {EN: "Services", AR: "الخدمات", ZH: "Services"},
    categories: {EN: "Categories", AR: "التصنيفات", ZH: "Categories"},
    map: {EN: "Show Map", AR: "عرض الخريطة", ZH: "Show Map"},
    view: {EN: "Get the 360° view <br> on your mobile", AR: "", ZH: ""},

    kids_events: { EN: "Kids", AR: "Kids", ZH: "Kids"},
    topp_events: { EN: "The Topp", AR: "The Topp", ZH: "The Topp"},
    all_events: { EN: "All Events", AR: "ALL", ZH: "ALL"},
    
    all: { EN: "ALL", AR: "كافة", ZH: "ALL"},
    ongoing: { EN: "Ongoing", AR: "جاري", ZH: "Ongoing"},
    future: { EN: "Future", AR: "آت", ZH: "Future"},

    items_not_available: {
        EN: "Sorry, not available for the moment.",
        AR: "Sorry, not available for the moment.",
        ZH: "Sorry, not available for the moment."
    },
    back: {EN: "Back", AR: "رجوع", ZH: "返回"},
    close: {EN: "CLOSE", AR: "إغلاق", ZH: "关闭"},
    pmr: {EN: "ACCESSIBLE ROUTE", AR: "طريق خاصة باصحاب الهمم", ZH: "ACCESSIBLE ROUTE"},

    searchtext_placeholder: {
        EN: "Search",
        AR: "البحث",
        ZH: "你想去哪里？"
    },
    take_me_there: {EN: "Directions", AR: "خذني هناك", ZH: "Directions"},
    by_tag_results: {EN: "Related Stores", AR: "المتاجر ذات الصلة", ZH: "Related Stores"},



    qr_code_title: {
        EN: "Get Map <br> on your phone",
        AR: " على جوالك  <br>  قم بتحميل الخريطة",
        ZH: "Get Map <br> on your phone"
    },
    from: {EN: 'From', AR: 'من', ZH: 'From'},
    to: {EN: 'to', AR: 'إلى', ZH: 'to'},
    on: {EN: 'On', AR: 'على', ZH: 'On'},
    in: {EN: 'in', AR: 'في', ZH: 'in'},

    info: {EN: 'Info', AR: 'معلومات', ZH: 'in'},
    more_info_btn: {EN: 'More Info', FR: "Plus d'info", NL: "MEER..."},
	destination: {EN: 'Destination', AR: 'الوجهة', ZH: 'in'},
    map_result_header: {EN: 'Directions', AR: 'الاتجاهات', ZH: 'Directions'},
    open_hours: {EN: 'Open Hours', AR: 'ساعات العمل', ZH: 'in'},
    till: {EN: 'till', AR: 'حتى', ZH: 'in'},
    more_info: {EN: 'More Information', AR: "المزيد من المعلومات", ZH: 'in'},
    directions_to: {EN: 'Directions to', AR: 'الاتجاهات إلى', ZH: 'in'},
    distance: {EN: 'DISTANCE', AR: "المسافة", ZH: 'DISTANCE'},
    time: {EN: 'TIME', AR: "الوقت", ZH: 'TIME'},
    lift_route: {EN: 'Lift Route', AR: "طريق المصعد", ZH: 'in'},
    replay: {EN: 'Replay', AR: "إعادة", ZH: 'in'},

    more: {EN: "More", AR: "المزيد", ZH: "More"},
    space: {EN: "_", AR: "_", ZH: "_"},

    startAt: {EN: 'Starting at ', AR: 'يبدأ من ', ZH: 'Starting at '},
    yourPosition: {EN: 'your position ', AR: 'موقعك ', ZH: 'your position '},
    yourDestination: {EN: 'your destination ', AR: 'وجهتك ', ZH: 'your destination '},
    take_the: {EN: 'Take the ', AR: 'خذ ', ZH: 'Take the '},
    walk: {EN: 'Walk to ', AR: 'امشي الى ', ZH: 'Walk to '},
    to_level: {EN: ' to level ', AR: ' الى ألطابق ', ZH: ' to level '},
    ur_looking_this_way: {
        EN: "You are here facing this way",
        AR: "أنت تواجه هذا الاتجاه",
        ZH: "You are here facing this way"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        AR: "إبدأ بالمشي بهذا الاتجاه",
        ZH: "Start walking this way"
    }
};

var custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C V {space} B N M {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? : {normal}"]
    },
    azerty: {
        normal: ["A Z E R T Y U I O P {bksp}", "Q S D F G H J K L M", "{shift} W X C {space} V B N & {shift}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > {space} ? : {normal}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > ? : {normal}", "{space}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 {space} \u6708 \u5F13 \u4E00 & {shift}"]
    },
    arabic: {
        normal: ["ض ص ث ق ف غ ع ه خ ح ج د {bksp}", "{shift} ذ ش س ي ب ل ا ت ن م ك ط {shift}", "أ ئ ء ؤ ر {space} لا ى ة و ز ظ"],
        shift: ["1 2 3 4 5 6 7 8 9 0 - = {bksp}", "ّ ! @ # $ % ^ & * ) ( _ + ", '{normal} ٍ  لأ ـ {space} ، / : {normal}']
    }

};